Package org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

# Class SVGImageFactoryModule

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.AbstractSVGFactoryModule
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.SVGImageFactoryModule

All Implemented Interfaces:
  `FactoryModule`

public class SVGImageFactoryModule extends AbstractSVGFactoryModule
Creation-Date: 05.04.2006, 17:58:42

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

## Constructor Summary

Constructors
Constructor
Description
`SVGImageFactoryModule()`

## Method Summary

Modifier and Type
Method
Description
`Resource`
`create(ResourceManager caller, ResourceData data, ResourceKey context)`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.AbstractSVGFactoryModule

`getHeaderFingerprintSize`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

`canHandleResource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVGImageFactoryModule

public SVGImageFactoryModule()

## Method Details

### create

public Resource create(ResourceManager caller, ResourceData data, ResourceKey context) throws ResourceLoadingException

Throws:
  `ResourceLoadingException`